<?php
	include'session.php';
	include'connection.php';
	include'../Retailers/functions.php';
?>
<html>
<head>
	<title>Wallet Ledger</title>
	<!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    
	<link rel="icon" href="images/logo.png" type="image/gif" sizes="16x16">
	
	<!-- Admin CSS File Link -->
	<link rel="stylesheet" href="css/style.css">
	
	<!-- User JAVA SCRIPT File Link -->
	<script type="text/javascript" src="js/script.js"></script>

	
	<!-- Font Awesome Icone -->
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	
	<style>
		.div1{
			background:;
			width:96%;
			padding:10px;
			margin:2%;
		}
		.div1 input, .div1 select{
			height:30px;
			width:180px;
			font-size:16px;
			padding:5px 8px;
			border-radius:5px;
			border:solid #6b5127 1px;
			overflow:hidden;
			margin:10px 10px 0 5px;
		}
		input[type=submit]{
			background:#6b5127;
			color:white;
			transition:1s;
			cursor:pointer;
		}
		input[type=submit]:hover{
			background:white;
			color:#6b5127;
			transition:1s;
		}
		.div2{
			background:#f7f7f7;
			width:100%;
			float:left;
			text-align:center;
			padding:0 10px 10px 10px;
			overflow-x:auto;
		}
		.div2 table{
			width:96%;
			text-align:center;
			font-size:14px;
			border-collapse:collapse;
			padding:2px 10px;
			margin:2%;
		}
		table th{
			background:#6b5127;
			color:white;
			height:40px;
			border:solid white 1px;
			padding:2px 5px;
		}
		table td{
			background:white;
			height:40px;
			border:solid black 1px;
			padding:2px 5px;
		}
		@media(max-width:768px)
		{
			.div1{
				background:;
				width:100%;
				height:auto;
				margin:10px 0 0 0;
				padding:0;
				text-align:center;
			}.div1 input{
				width:90%;
				margin:10px;
			}
			.div2{
				width:100%;
				margin:10px 0 0 0;
				padding:0px;
				text-align:center;
			}
		}
	</style>
	<link rel="stylesheet" href="css/mediaStyle.css">
</head>
<body>
	<!--Header Divison-->
	<?php
		require'header.php';
	?>
	
	<!--Container Division-->
	<div class="container">
		<?php
			include'menu.php';
		?>
		<div class="content">
			<div class="head">
				<div class="title"><p>Wallet Ledger :-</p></div>
				<div class="msg"><marquee><?php include'msg.php'; ?></marquee></msg>
			</div><hr>
			<div class="data-content">
				<form method="post">
					<div class="div1">
					    <?php
					        if(isset($_POST['submit']))
					        {
					            $date1Value=$_POST['fdate'];
					            $date2Value=$_POST['ldate'];
					        }
					        else
					        {
					            $date1Value=$date;
					            $date2Value=$date;
					        }
					    
					    ?>
						<input type="date" name="fdate" value="<?php echo $date1Value; ?>">
						<input type="date" name="ldate" value="<?php echo $date2Value; ?>">
						<input type="submit" name="submit" value="Submit"  onclick='showLoader()'>
					</div>
				</form>
				<div class="div2">
					<table cellpadding="20" border="2"> 
						<tr>
							<th>Wallet Id</th>
							<th>Txn Id</th>
							<th>Date Time</th>
							<th>Txn Type</th>
							<th>Txn With</th>
							<th>Remarks</th>
							<th>Op.Bal.</th>
							<th>Txn.</th>
							<th>Cl. Bal.</th>
						</tr>
						<?php
							if(isset($_POST['submit']))
							{
								$fdate = $_POST['fdate'];
								$ldate = $_POST['ldate'];
								
								$quLedger="SELECT * FROM wallet WHERE Userid='$userid' AND Date>='$fdate' AND Date<='$ldate'";
								
								$reLedger=mysqli_query($con,$quLedger);
								$countLedger=mysqli_num_rows($reLedger);
								$totalTxn=0;
								while($dataLedger=mysqli_fetch_array($reLedger))
								{
								    if($dataLedger['Txn']<0){
										$color="red";
									}else{
										$color="#17811C";
									}
									if(1==is_numeric($dataLedger['TxnWith']))
									{
									    $usrName=getName($dataLedger['TxnWith']);
									}
									else
									{
									    $usrName=$dataLedger['TxnWith'];
									}
									echo "<tr>";
										echo "<td>".$dataLedger['Id']."</td>";
										echo "<td>".$dataLedger['TxnId']."</td>";
										echo "<td>".$dataLedger['Date']." ".$dataLedger['Time']."</td>";
										echo "<td>".$dataLedger['TxnType']."</td>";
										echo "<td>".$usrName."</td>";
										echo "<td>".$dataLedger['Remarks']."</td>";
										echo "<td>".getRA($dataLedger['OpBal'])."</td>";
										echo "<td style='color:".$color."'><b>".getRA($dataLedger['Txn'])."</b></td>";
										echo "<td>".getRA($dataLedger['ClBal'])."</td>";
					        		echo "</tr>";
								}
								if($countLedger<1)
								{
								    echo "<tr><td colspan='10'><center><h3 style='color:red'>Data Not Found !</h3></center></td></tr>";
								}
							}
							else
							{
								$quLedger="SELECT * FROM wallet WHERE Userid='$userid' ORDER BY Id DESC LIMIT 10";
								$reLedger=mysqli_query($con,$quLedger);
								$countLedger=mysqli_num_rows($reLedger);
								$totalTxn=0;
								while($dataLedger=mysqli_fetch_array($reLedger))
								{
								    if($dataLedger['Txn']<0){
										$color="red";
									}else{
										$color="#17811C";
									}
									if(1==is_numeric($dataLedger['TxnWith']))
									{
									    $usrName=getName($dataLedger['TxnWith']);
									}
									else
									{
									    $usrName=$dataLedger['TxnWith'];
									}
									echo "<tr>";
										echo "<td>".$dataLedger['Id']."</td>";
										echo "<td>".$dataLedger['TxnId']."</td>";
										echo "<td>".$dataLedger['Date']." ".$dataLedger['Time']."</td>";
										echo "<td>".$dataLedger['TxnType']."</td>";
										echo "<td>".$usrName."</td>";
										echo "<td>".$dataLedger['Remarks']."</td>";
										echo "<td>".getRA($dataLedger['OpBal'])."</td>";
										echo "<td style='color:".$color."'><b>".getRA($dataLedger['Txn'])."</b></td>";
										echo "<td>".getRA($dataLedger['ClBal'])."</td>";
					        		echo "</tr>";
								}
								if($countLedger<1)
								{
								    echo "<tr><td colspan='10'><center><h3 style='color:red'>Data Not Found !</h3></center></td></tr>";
								}
							}
						?>
					</table>
				</div>
			</div>
		</div>
	</div>
	<?php
		require'footer.php';
	?>
</body>
</html>